package com.miaxis.app.controller.question;

import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.question.domain.QuestionInfoGet;
import com.miaxis.question.service.IQuestionInfoGetService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 【202204题库获取】Controller
 *
 * @author miaxis
 * @date 2022-03-30
 */
@RestController
@RequestMapping(Constants.OPEN_PREFIX+"/question/get")
@Api(tags={"【小程序-202204题库获取】"})
public class QuestionInfoGetController extends BaseController{
    @Autowired
    private IQuestionInfoGetService questionInfoGetService;

    /**
     * 查询202204题库获取列表
     */
    @GetMapping("/list")
    @ApiOperation("查询202204题库获取列表")
        @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum",value = "当前页码" ,dataType = "int", paramType = "query", required = false),
            @ApiImplicitParam(name = "pageSize",value = "每页数据量" , dataType = "int", paramType = "query", required = false),
    })
    public ResponsePageInfo<QuestionInfoGet> list(@ModelAttribute QuestionInfoGet questionInfoGet){
        startPage();
        List<QuestionInfoGet> list = questionInfoGetService.selectQuestionInfoGetList(questionInfoGet);
        return toResponsePageInfo(list);
    }
    

    /**
     * 获取202204题库获取详细信息
     */
    @GetMapping(value = "/{id}")
    @ApiOperation("获取202204题库获取详细信息")
    public Response<QuestionInfoGet> getInfo(
            @ApiParam(name = "id", value = "202204题库获取参数", required = true)
            @PathVariable("id") Long id
    ){
        return Response.success(questionInfoGetService.getById(id));
    }



}
