package com.miaxis.app.controller.question;

import com.miaxis.common.annotation.Log;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.common.enums.BusinessTypeEnum;
import com.miaxis.common.utils.poi.ExcelUtil;
import com.miaxis.question.domain.QuestionInfoTwo;
import com.miaxis.question.service.IQuestionInfoTwoService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

/**
 * 【202204题库】Controller
 *
 * @author miaxis
 * @date 2022-03-28
 */
@RestController
@RequestMapping(Constants.OPEN_PREFIX+"/question/two")
@Api(tags={"【小程序-202204题库】"})
public class QuestionInfoTwoController extends BaseController{
    @Autowired
    private IQuestionInfoTwoService questionInfoTwoService;

    /**
     * 查询202204题库列表
     */
    @GetMapping("/list")
    @ApiOperation("查询202204题库列表")
        @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum",value = "当前页码" ,dataType = "int", paramType = "query", required = false),
            @ApiImplicitParam(name = "pageSize",value = "每页数据量" , dataType = "int", paramType = "query", required = false),
    })
    public ResponsePageInfo<QuestionInfoTwo> list(@ModelAttribute QuestionInfoTwo questionInfoTwo){
        startPage();
        List<QuestionInfoTwo> list = questionInfoTwoService.selectQuestionInfoTwoList(questionInfoTwo);
        return toResponsePageInfo(list);
    }
    


    /**
     * 获取202204题库详细信息
     */
    @GetMapping(value = "/{id}")
    @ApiOperation("获取202204题库详细信息")
    public Response<QuestionInfoTwo> getInfo(
            @ApiParam(name = "id", value = "202204题库参数", required = true)
            @PathVariable("id") Long id
    ){
        return Response.success(questionInfoTwoService.getById(id));
    }


}
