package com.miaxis.feign.service;

import com.miaxis.common.config.FeignConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name="ktService",
        url = "https://app.kuaitongjiakao.com/",configuration = FeignConfig.class)
@Component
public interface IKtService {




    /**
     *  主目录
     * @param model 小车：cart | 客车：bus | 货车：truck | 摩托车：mtc
     * @param subject  k1:顺序练习 | k1_2:精选必考题 | k1_3:分类练习 |k1_4:地方题库
     * @param time 时间戳
     * @return
     */
    @GetMapping(value = "skill/getColumn")
    String getInfo(
            @RequestParam("model") String model,
            @RequestParam("subject") String subject,
            @RequestParam("time") String time);


    /**
     *  获取题目
     * @param model 小车：cart | 客车：bus | 货车：truck | 摩托车：mtc
     * @param columnid  主目录id
     * @param columnZh 主目录标题
     * @param subject k1:顺序练习 | k1_2:精选必考题 | k1_3:分类练习 |k1_4:地方题库
     * @param time 时间戳
     * @return
     */
    @GetMapping(value = "question/getQuestions")
    String getQuestion(
            @RequestParam("model") String model,
            @RequestParam("columnid") String columnid,
            @RequestParam("columnZh") String columnZh,
            @RequestParam("subject") String subject,
            @RequestParam("time") String time);


    /**
     *  获取题目
     * @param model 小车：cart | 客车：bus | 货车：truck | 摩托车：mtc
     * @param subject k1:顺序练习 | k1_2:精选必考题 | k1_3:分类练习 |k1_4:地方题库
     * @param time 时间戳
     * @return
     */
    @GetMapping(value = "question/getFreeQuestions")
    String getFreeQuestions(
            @RequestParam("model") String model,
            @RequestParam("subject") String subject,
            @RequestParam("time") String time);


}
