package com.miaxis.question.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 202204题库获取对象 question_info_get
 *
 * @author miaxis
 * @date 2022-03-30
 */
@Data
@TableName("question_info_get")
@ApiModel(value = "QuestionInfoGet", description = "202204题库获取对象 question_info_get")
public class QuestionInfoGet extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 一点通id字段 */
    @Excel(name = "一点通id字段")
    @TableField("num")
    @ApiModelProperty(value = "一点通id字段")
    private Long num;

    /** 题目名 */
    @Excel(name = "题目名")
    @TableField("name")
    @ApiModelProperty(value = "题目名")
    private String name;

    /** 图片 */
    @Excel(name = "图片")
    @TableField("image")
    @ApiModelProperty(value = "图片")
    private String image;

    /** 正确答案 */
    @Excel(name = "正确答案")
    @TableField("right_answer")
    @ApiModelProperty(value = "正确答案")
    private Long rightAnswer;

    /** 解释 */
    @Excel(name = "解释")
    @TableField("explain_js")
    @ApiModelProperty(value = "解释")
    private String explainJs;

    /** 类型 */
    @Excel(name = "类型")
    @TableField("type")
    @ApiModelProperty(value = "类型")
    private Long type;

    /** 答案1 */
    @Excel(name = "答案1")
    @TableField("an1")
    @ApiModelProperty(value = "答案1")
    private String an1;

    /** 答案2 */
    @Excel(name = "答案2")
    @TableField("an2")
    @ApiModelProperty(value = "答案2")
    private String an2;

    /** 答案3 */
    @Excel(name = "答案3")
    @TableField("an3")
    @ApiModelProperty(value = "答案3")
    private String an3;

    /** 答案4 */
    @Excel(name = "答案4")
    @TableField("an4")
    @ApiModelProperty(value = "答案4")
    private String an4;

    /** 答案5 */
    @Excel(name = "答案5")
    @TableField("an5")
    @ApiModelProperty(value = "答案5")
    private String an5;

    /** 答案6 */
    @Excel(name = "答案6")
    @TableField("an6")
    @ApiModelProperty(value = "答案6")
    private String an6;

    /** 答案7 */
    @Excel(name = "答案7")
    @TableField("an7")
    @ApiModelProperty(value = "答案7")
    private String an7;

    /** 科目 */
    @Excel(name = "科目")
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Long kemu;

    /** 0:小车(313) 1:货车(325) 2:客车(328) 3:摩托车(40) */
    @Excel(name = "0:小车(313) 1:货车(325) 2:客车(328) 3:摩托车(40)")
    @TableField("cartype")
    @ApiModelProperty(value = "0:小车(313) 1:货车(325) 2:客车(328) 3:摩托车(40)")
    private String cartype;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setNum(Long num){
        this.num = num;
    }

    public Long getNum(){
        return num;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getName(){
        return name;
    }
    public void setImage(String image){
        this.image = image;
    }

    public String getImage(){
        return image;
    }
    public void setRightAnswer(Long rightAnswer){
        this.rightAnswer = rightAnswer;
    }

    public Long getRightAnswer(){
        return rightAnswer;
    }
    public void setExplainJs(String explainJs){
        this.explainJs = explainJs;
    }

    public String getExplainJs(){
        return explainJs;
    }
    public void setType(Long type){
        this.type = type;
    }

    public Long getType(){
        return type;
    }
    public void setAn1(String an1){
        this.an1 = an1;
    }

    public String getAn1(){
        return an1;
    }
    public void setAn2(String an2){
        this.an2 = an2;
    }

    public String getAn2(){
        return an2;
    }
    public void setAn3(String an3){
        this.an3 = an3;
    }

    public String getAn3(){
        return an3;
    }
    public void setAn4(String an4){
        this.an4 = an4;
    }

    public String getAn4(){
        return an4;
    }
    public void setAn5(String an5){
        this.an5 = an5;
    }

    public String getAn5(){
        return an5;
    }
    public void setAn6(String an6){
        this.an6 = an6;
    }

    public String getAn6(){
        return an6;
    }
    public void setAn7(String an7){
        this.an7 = an7;
    }

    public String getAn7(){
        return an7;
    }
    public void setKemu(Long kemu){
        this.kemu = kemu;
    }

    public Long getKemu(){
        return kemu;
    }
    public void setCartype(String cartype){
        this.cartype = cartype;
    }

    public String getCartype(){
        return cartype;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("num", getNum())
            .append("name", getName())
            .append("image", getImage())
            .append("rightAnswer", getRightAnswer())
            .append("explainJs", getExplainJs())
            .append("type", getType())
            .append("an1", getAn1())
            .append("an2", getAn2())
            .append("an3", getAn3())
            .append("an4", getAn4())
            .append("an5", getAn5())
            .append("an6", getAn6())
            .append("an7", getAn7())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("kemu", getKemu())
            .append("cartype", getCartype())
            .toString();
    }
}
