package com.miaxis.question.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 驾校一点通解释对象 question_ydt_js
 *
 * @author miaxis
 * @date 2022-05-06
 */
@Data
@TableName("question_ydt_js")
@ApiModel(value = "QuestionYdtJs", description = "驾校一点通解释对象 question_ydt_js")
public class QuestionYdtJs extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 一点通ID */
    @TableId(value = "id",type = IdType.INPUT)
    @ApiModelProperty(value = "一点通ID")
    private Long id;

    /** 科目 */
    @Excel(name = "科目")
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private String kemu;

    /** 分析 */
    @Excel(name = "分析")
    @TableField("qb_analyse")
    @ApiModelProperty(value = "分析")
    private String qbAnalyse;

    /** 内容 题目 */
    @Excel(name = "内容 题目")
    @TableField("qb_content")
    @ApiModelProperty(value = "内容 题目")
    private String qbContent;

    /** 语音分板 */
    @Excel(name = "语音分板")
    @TableField("qb_read_analyse")
    @ApiModelProperty(value = "语音分板")
    private String qbReadAnalyse;

    /** 技术照片 */
    @Excel(name = "技术照片")
    @TableField("qb_skill_picture")
    @ApiModelProperty(value = "技术照片")
    private String qbSkillPicture;

    /** 答案 */
    @Excel(name = "答案")
    @TableField("qb_answers")
    @ApiModelProperty(value = "答案")
    private String qbAnswers;

    /** 题目ID */
    @Excel(name = "题目ID")
    @TableField("questionIds")
    @ApiModelProperty(value = "题目ID")
    private String questionids;

    /** 短视频VIDEO */
    @Excel(name = "短视频VIDEO")
    @TableField("short_video_duration")
    @ApiModelProperty(value = "短视频VIDEO")
    private String shortVideoDuration;

    /** 短视频尺寸 */
    @Excel(name = "短视频尺寸")
    @TableField("short_video_size")
    @ApiModelProperty(value = "短视频尺寸")
    private String shortVideoSize;

    /** 短视频URL */
    @Excel(name = "短视频URL")
    @TableField("short_video_url")
    @ApiModelProperty(value = "短视频URL")
    private String shortVideoUrl;

    /** 短视频图片 */
    @Excel(name = "短视频图片")
    @TableField("short_video_image")
    @ApiModelProperty(value = "短视频图片")
    private String shortVideoImage;

    /** 一点通分析 */
    @Excel(name = "一点通分析")
    @TableField("ydt_analyse")
    @ApiModelProperty(value = "一点通分析")
    private String ydtAnalyse;

    /** 一点通分析图片 */
    @Excel(name = "一点通分析图片")
    @TableField("ydt_analyse_pic")
    @ApiModelProperty(value = "一点通分析图片")
    private String ydtAnalysePic;

    /** 一点通视频 */
    @Excel(name = "一点通视频")
    @TableField("ydt_video")
    @ApiModelProperty(value = "一点通视频")
    private String ydtVideo;

    /** 一点通视频长度 */
    @Excel(name = "一点通视频长度")
    @TableField("ydt_video_len")
    @ApiModelProperty(value = "一点通视频长度")
    private String ydtVideoLen;

    /** 一点通视频图片 */
    @Excel(name = "一点通视频图片")
    @TableField("ydt_video_pic")
    @ApiModelProperty(value = "一点通视频图片")
    private String ydtVideoPic;

    /** 一点通视频尺寸 */
    @Excel(name = "一点通视频尺寸")
    @TableField("ydt_video_size")
    @ApiModelProperty(value = "一点通视频尺寸")
    private String ydtVideoSize;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setKemu(String kemu){
        this.kemu = kemu;
    }

    public String getKemu(){
        return kemu;
    }
    public void setQbAnalyse(String qbAnalyse){
        this.qbAnalyse = qbAnalyse;
    }

    public String getQbAnalyse(){
        return qbAnalyse;
    }
    public void setQbContent(String qbContent){
        this.qbContent = qbContent;
    }

    public String getQbContent(){
        return qbContent;
    }
    public void setQbReadAnalyse(String qbReadAnalyse){
        this.qbReadAnalyse = qbReadAnalyse;
    }

    public String getQbReadAnalyse(){
        return qbReadAnalyse;
    }
    public void setQbSkillPicture(String qbSkillPicture){
        this.qbSkillPicture = qbSkillPicture;
    }

    public String getQbSkillPicture(){
        return qbSkillPicture;
    }
    public void setQbAnswers(String qbAnswers){
        this.qbAnswers = qbAnswers;
    }

    public String getQbAnswers(){
        return qbAnswers;
    }
    public void setQuestionids(String questionids){
        this.questionids = questionids;
    }

    public String getQuestionids(){
        return questionids;
    }
    public void setShortVideoDuration(String shortVideoDuration){
        this.shortVideoDuration = shortVideoDuration;
    }

    public String getShortVideoDuration(){
        return shortVideoDuration;
    }
    public void setShortVideoSize(String shortVideoSize){
        this.shortVideoSize = shortVideoSize;
    }

    public String getShortVideoSize(){
        return shortVideoSize;
    }
    public void setShortVideoUrl(String shortVideoUrl){
        this.shortVideoUrl = shortVideoUrl;
    }

    public String getShortVideoUrl(){
        return shortVideoUrl;
    }
    public void setShortVideoImage(String shortVideoImage){
        this.shortVideoImage = shortVideoImage;
    }

    public String getShortVideoImage(){
        return shortVideoImage;
    }
    public void setYdtAnalyse(String ydtAnalyse){
        this.ydtAnalyse = ydtAnalyse;
    }

    public String getYdtAnalyse(){
        return ydtAnalyse;
    }
    public void setYdtAnalysePic(String ydtAnalysePic){
        this.ydtAnalysePic = ydtAnalysePic;
    }

    public String getYdtAnalysePic(){
        return ydtAnalysePic;
    }
    public void setYdtVideo(String ydtVideo){
        this.ydtVideo = ydtVideo;
    }

    public String getYdtVideo(){
        return ydtVideo;
    }
    public void setYdtVideoLen(String ydtVideoLen){
        this.ydtVideoLen = ydtVideoLen;
    }

    public String getYdtVideoLen(){
        return ydtVideoLen;
    }
    public void setYdtVideoPic(String ydtVideoPic){
        this.ydtVideoPic = ydtVideoPic;
    }

    public String getYdtVideoPic(){
        return ydtVideoPic;
    }
    public void setYdtVideoSize(String ydtVideoSize){
        this.ydtVideoSize = ydtVideoSize;
    }

    public String getYdtVideoSize(){
        return ydtVideoSize;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("kemu", getKemu())
            .append("qbAnalyse", getQbAnalyse())
            .append("qbContent", getQbContent())
            .append("qbReadAnalyse", getQbReadAnalyse())
            .append("qbSkillPicture", getQbSkillPicture())
            .append("qbAnswers", getQbAnswers())
            .append("questionids", getQuestionids())
            .append("shortVideoDuration", getShortVideoDuration())
            .append("shortVideoSize", getShortVideoSize())
            .append("shortVideoUrl", getShortVideoUrl())
            .append("shortVideoImage", getShortVideoImage())
            .append("ydtAnalyse", getYdtAnalyse())
            .append("ydtAnalysePic", getYdtAnalysePic())
            .append("ydtVideo", getYdtVideo())
            .append("ydtVideoLen", getYdtVideoLen())
            .append("ydtVideoPic", getYdtVideoPic())
            .append("ydtVideoSize", getYdtVideoSize())
            .toString();
    }
}
