package com.miaxis.question.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 题目技巧解释对象 web_note_js
 *
 * @author miaxis
 * @date 2023-08-15
 */
@Data
@TableName("web_note_js")
@ApiModel(value = "WebNoteJs", description = "题目技巧解释对象 web_note_js")
public class WebNoteJs extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 题目ID
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = " 题目ID")
    private Long id;

    /**
     * 技巧带关键字用【】
     */
    @Excel(name = "技巧带关键字用【】")
    @TableField("qb_analyse")
    @ApiModelProperty(value = "技巧带关键字用【】")
    private String qbAnalyse;

    /**
     * 技巧不带关键字
     */
    @Excel(name = "技巧不带关键字")
    @TableField("qb_read_analyse")
    @ApiModelProperty(value = "技巧不带关键字")
    private String qbReadAnalyse;

    /**
     * 技巧你语音链接
     */
    @Excel(name = "技巧你语音链接")
    @TableField("qb_skill_audio_link")
    @ApiModelProperty(value = "技巧你语音链接")
    private String qbSkillAudioLink;

    /**
     * 总结主标题
     */
    @Excel(name = "总结主标题")
    @TableField("fir_tilte")
    @ApiModelProperty(value = "总结主标题")
    private String firTilte;

    /**
     * 总结子村题
     */
    @Excel(name = "总结子村题")
    @TableField("sec_title")
    @ApiModelProperty(value = "总结子村题")
    private String secTitle;


    /**
     * 最佳解释
     */
    @Excel(name = "最佳解释")
    @TableField("best_explain_new")
    @ApiModelProperty(value = "最佳解释")
    private String bestExplainNew;


    /**
     * 总结内容每一点用“;”隔开
     */
    @Excel(name = "总结内容每一点用“;”隔开")
    @TableField("word")
    @ApiModelProperty(value = "总结内容每一点用“;”隔开")
    private String word;

    /**
     * 短视频URL
     */
    @Excel(name = "短视频URL")
    @TableField("short_video_url")
    @ApiModelProperty(value = "短视频URL")
    private String shortVideoUrl;

    /**
     * 短视频封面
     */
    @Excel(name = "短视频封面")
    @TableField("short_video_image")
    @ApiModelProperty(value = "短视频封面")
    private String shortVideoImage;

    /**
     * 视频URL
     */
    @Excel(name = "视频URL")
    @TableField("ydt_video")
    @ApiModelProperty(value = "视频URL")
    private String ydtVideo;

    /**
     * 视频封面
     */
    @Excel(name = "视频封面")
    @TableField("ydt_video_pic")
    @ApiModelProperty(value = "视频封面")
    private String ydtVideoPic;





}
