package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionFreeMapper;
import com.miaxis.question.domain.QuestionFree;
import com.miaxis.question.service.IQuestionFreeService;

/**
 *  免费试用题Service业务层处理
 *
 * @author miaxis
 * @date 2022-06-10
 */
@Service
public class QuestionFreeServiceImpl extends ServiceImpl<QuestionFreeMapper, QuestionFree> implements IQuestionFreeService {
    @Autowired
    private QuestionFreeMapper questionFreeMapper;

    /**
     * 查询 免费试用题列表
     *
     * @param questionFree  免费试用题
     * @return  免费试用题
     */
    @Override
    public List<QuestionFree> selectQuestionFreeList(QuestionFree questionFree){
        return questionFreeMapper.selectQuestionFreeList(questionFree);
    }
}
