package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionInfoKtGetMapper;
import com.miaxis.question.domain.QuestionInfoKtGet;
import com.miaxis.question.service.IQuestionInfoKtGetService;

/**
 * 获取快通题库Service业务层处理
 *
 * @author miaxis
 * @date 2022-04-08
 */
@Service
public class QuestionInfoKtGetServiceImpl extends ServiceImpl<QuestionInfoKtGetMapper, QuestionInfoKtGet> implements IQuestionInfoKtGetService {
    @Autowired
    private QuestionInfoKtGetMapper questionInfoKtGetMapper;

    /**
     * 查询获取快通题库列表
     *
     * @param questionInfoKtGet 获取快通题库
     * @return 获取快通题库
     */
    @Override
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetList(QuestionInfoKtGet questionInfoKtGet){
        return questionInfoKtGetMapper.selectQuestionInfoKtGetList(questionInfoKtGet);
    }

    @Override
    public int selectQuestionInfoKtGetCount(QuestionInfoKtGet questionInfoKtGet) {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetCount(questionInfoKtGet);
    }



    /**
     * ExplainGif
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetExplainGifList() {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetExplainGifList();
    }

    /**
     * ExplainMp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetExplainMp3List() {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetExplainMp3List();
    }

    /**
     * Image
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetImageList() {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetImageList();
    }

    /**
     * ImageYdt
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetImageYdtList() {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetImageYdtList();
    }

    /**
     * Issuemp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetIssuemp3List() {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetIssuemp3List();
    }

    /**
     * Answermp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetAnswermp3List() {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetAnswermp3List();
    }

    /**
     * Explainjsmp3
     * @return
     */
    public List<QuestionInfoKtGet> selectQuestionInfoKtGetExplainjsmp3List() {
        return questionInfoKtGetMapper.selectQuestionInfoKtGetExplainjsmp3List();
    }

}
