package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import com.miaxis.question.domain.QuestionInfoKtGet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionInfoKtNewMapper;
import com.miaxis.question.domain.QuestionInfoKtNew;
import com.miaxis.question.service.IQuestionInfoKtNewService;

/**
 * 获取快通题库Service业务层处理
 *
 * @author miaxis
 * @date 2023-11-03
 */
@Service
public class QuestionInfoKtNewServiceImpl extends ServiceImpl<QuestionInfoKtNewMapper, QuestionInfoKtNew> implements IQuestionInfoKtNewService {
    @Autowired
    private QuestionInfoKtNewMapper questionInfoKtNewMapper;

    /**
     * 查询获取快通题库列表
     *
     * @param questionInfoKtNew 获取快通题库
     * @return 获取快通题库
     */
    @Override
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewList(QuestionInfoKtNew questionInfoKtNew){
        return questionInfoKtNewMapper.selectQuestionInfoKtNewList(questionInfoKtNew);
    }

    @Override
    public int selectQuestionInfoKtNewCount(QuestionInfoKtNew questionInfoKtNew) {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewCount(questionInfoKtNew);
    }



    /**
     * ExplainGif
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainGifList() {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewExplainGifList();
    }

    /**
     * ExplainMp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainMp3List() {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewExplainMp3List();
    }

    /**
     * Image
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewImageList() {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewImageList();
    }

    /**
     * ImageYdt
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewImageYdtList() {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewImageYdtList();
    }

    /**
     * Issuemp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewIssuemp3List() {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewIssuemp3List();
    }

    /**
     * Answermp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewAnswermp3List() {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewAnswermp3List();
    }

    /**
     * Explainjsmp3
     * @return
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewExplainjsmp3List() {
        return questionInfoKtNewMapper.selectQuestionInfoKtNewExplainjsmp3List();
    }
}
