package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionYdtJsMapper;
import com.miaxis.question.domain.QuestionYdtJs;
import com.miaxis.question.service.IQuestionYdtJsService;

/**
 * 驾校一点通解释Service业务层处理
 *
 * @author miaxis
 * @date 2022-05-06
 */
@Service
public class QuestionYdtJsServiceImpl extends ServiceImpl<QuestionYdtJsMapper, QuestionYdtJs> implements IQuestionYdtJsService {
    @Autowired
    private QuestionYdtJsMapper questionYdtJsMapper;

    /**
     * 查询驾校一点通解释列表
     *
     * @param questionYdtJs 驾校一点通解释
     * @return 驾校一点通解释
     */
    @Override
    public List<QuestionYdtJs> selectQuestionYdtJsList(QuestionYdtJs questionYdtJs){
        return questionYdtJsMapper.selectQuestionYdtJsList(questionYdtJs);
    }

    @Override
    public List<QuestionYdtJs> selectQuestionYdtJsList2(QuestionYdtJs questionYdtJs){
        return questionYdtJsMapper.selectQuestionYdtJsList2(questionYdtJs);
    }
}
