package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.WebNoteAllMapper;
import com.miaxis.question.domain.WebNoteAll;
import com.miaxis.question.service.IWebNoteAllService;

/**
 * 一点通整合题库Service业务层处理
 *
 * @author miaxis
 * @date 2022-05-06
 */
@Service
public class WebNoteAllServiceImpl extends ServiceImpl<WebNoteAllMapper, WebNoteAll> implements IWebNoteAllService {
    @Autowired
    private WebNoteAllMapper webNoteAllMapper;

    /**
     * 查询一点通整合题库列表
     *
     * @param webNoteAll 一点通整合题库
     * @return 一点通整合题库
     */
    @Override
    public List<WebNoteAll> selectWebNoteAllList(WebNoteAll webNoteAll){
        return webNoteAllMapper.selectWebNoteAllList(webNoteAll);
    }

    @Override
    public List<WebNoteAll> selectWebNoteAllMediaUrlList() {
        return webNoteAllMapper.selectWebNoteAllMediaUrlList();
    }
}
