package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.WebNoteJsMapper;
import com.miaxis.question.domain.WebNoteJs;
import com.miaxis.question.service.IWebNoteJsService;

/**
 * 题目技巧解释Service业务层处理
 *
 * @author miaxis
 * @date 2023-08-15
 */
@Service
public class WebNoteJsServiceImpl extends ServiceImpl<WebNoteJsMapper, WebNoteJs> implements IWebNoteJsService {
    @Autowired
    private WebNoteJsMapper webNoteJsMapper;

    /**
     * 查询题目技巧解释列表
     *
     * @param webNoteJs 题目技巧解释
     * @return 题目技巧解释
     */
    @Override
    public List<WebNoteJs> selectWebNoteJsList(WebNoteJs webNoteJs){
        return webNoteJsMapper.selectWebNoteJsList(webNoteJs);
    }
}
