package com.miaxis.teachingVideo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 教学视频对象入参
 * @author wwl
 * @version 1.0
 * @date 2021/7/2 14:25
 */
@Data
@ApiModel(value = "TeachingVideoInfoDto", description = "教学视频对象入参")
public class TeachingVideoInfoDto implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "视频文件id")
    private String videoFileId;

    @ApiModelProperty(value = "封面图片id")
    private Long coverFileId;

    @ApiModelProperty(value = "视频标题")
    private String title;

    @ApiModelProperty(value = "视频描述")
    private String videoDescribe;

    @ApiModelProperty(value = "教学视频分类id （关联teaching_video_type_info表）")
    private Long teachingVideoTypeId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "播放权限 0:正常 1:播放15秒  2:无法播放")
    private Integer permission;


}
